# vim: set sw=4 ts=4 et nu:

Name:           perl-Class-OOorNO
Version:        0.011
Release:        1.1
Summary:        Give your module classic and OO interfaces
Source:         http://search.cpan.org/CPAN/authors/id/T/TO/TOMMY/Class-OOorNO-%{version}.tar.gz
URL:            http://search.cpan.org/dist/Class-OOorNO
Group:          Development/Libraries/Perl
License:        Perl License
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
%{perl_requires}
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::MakeMaker)
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%endif

%description
Class::OOorNO helps your module handle the input for its subroutines whether
called in object-oriented style (as object methods or class methods with the
arrow syntax ->), or in functional programming style (as subroutines imported
to the caller's namespace via Exporter).

The bulk of this module comprises a lightweight, pure-Perl emulation of the
Devel::Caller library's called_as_method() routine which is written in C.

Devel::Caller dives deep into the internals of of the Perl interpreter (see
perlguts) to trace stack frames and can get the input for any call in the
stack. It's really handy for Devel::opment and debugging.

This module is much more lightweight and focuses more on your module's Class::
methods themselves.

%prep
%setup -q -n "Class-OOorNO-%{version}"
%__sed -i '/^auto_install/d' Makefile.PL
%__sed -i 's/\r$//' *.pod

%build
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make %{?jobs:-j%{jobs}}

%install
%perl_make_install
%perl_process_packlist

%check
%__make test

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc README Changes
%dir %{perl_vendorlib}/Class
%{perl_vendorlib}/Class/OOorNO.pm
%doc %{perl_vendorlib}/Class/OOorNO.pod
%doc %{perl_man3dir}/Class::OOorNO.%{perl_man3ext}%{ext_man}

%changelog
* Fri Apr 22 2011 pascal.bleser@opensuse.org
- initial version (0.011)
